module.exports = function (api) {
  api.cache.using(() => process.env.NODE_ENV)

  const env = api.env()
  const presets = []
  const ignore = []
  const plugins = [
    [
      'transform-define',
      {
        VERSION: require('cerebral/package.json').version,
      },
    ],
  ]
  switch (env) {
    case 'test':
      presets.push(['@babel/preset-env'])
      break
    case 'cjs':
      presets.push(['@babel/preset-env'])
      ignore.push('**/*.test.js')
      break
    case 'es':
      presets.push(['@babel/preset-env', { modules: false }])
      ignore.push('**/*.test.js')
  }

  return {
    presets,
    plugins,
    ignore,
  }
}
